/*
	jQuery Autosize(Textarea) v1.16.5
	(c) 2013 Jack Moore - jacklmoore.com
	updated: 2013-02-11
	license: http://www.opensource.org/licenses/mit-license.php
*/
!function(e){var t,o={className:"autosizejs",append:"",callback:!1},n="hidden",i=["fontFamily","fontSize","fontWeight","fontStyle","letterSpacing","textTransform","wordSpacing","textIndent"],s=e('<textarea tabindex="-1" style="position:absolute; top:-999px; left:0; right:auto; bottom:auto; border:0; -moz-box-sizing:content-box; -webkit-box-sizing:content-box; box-sizing:content-box; word-wrap:break-word; height:0 !important; min-height:0 !important; overflow:hidden;"/>').data("autosize",!0)[0];s.style.lineHeight="99px","99px"===e(s).css("lineHeight")&&i.push("lineHeight"),s.style.lineHeight="",e.fn.autosize=function(a){return a=e.extend({},o,a||{}),s.parentNode!==document.body&&e(document.body).append(s),this.each(function(){var o,r,l,c=this,p=e(c),h=0,d=e.isFunction(a.callback);function u(){var l,u,b;if(t!==c&&(t=c,s.className=a.className,e.each(i,function(e,t){s.style[t]=p.css(t)})),!r){r=!0,s.value=c.value+a.append,s.style.overflowY=c.style.overflowY,b=parseInt(c.style.height,10),s.style.width=Math.max(p.width(),0)+"px",s.scrollTop=0,s.scrollTop=9e4,l=s.scrollTop;var g=parseInt(p.css("maxHeight"),10);l>(g=g&&g>0?g:9e4)?(l=g,u="scroll"):l<o&&(l=o),l+=h,c.style.overflowY=u||n,b!==l&&(c.style.height=l+"px",d&&a.callback.call(c)),setTimeout(function(){r=!1},1)}}p.data("autosize")||("border-box"!==p.css("box-sizing")&&"border-box"!==p.css("-moz-box-sizing")&&"border-box"!==p.css("-webkit-box-sizing")||(h=p.outerHeight()-p.height()),o=Math.max(parseInt(p.css("minHeight"),10)-h,p.height()),l="none"===p.css("resize")||"vertical"===p.css("resize")?"none":"horizontal",p.css({overflow:n,overflowY:n,wordWrap:"break-word",resize:l}).data("autosize",!0),"onpropertychange"in c?"oninput"in c?c.oninput=c.onkeyup=u:c.onpropertychange=u:c.oninput=u,e(window).resize(function(){r=!1,u()}),p.bind("autosize",function(){r=!1,u()}),u())})}}(window.jQuery||window.Zepto);